// massdecayvevV.h is part of the 
// CHIRON ChPT at two loops program collection
// Copyright (C) 2014 Johan Bijnens, v1.0
// CHIRON is licenced under the GNU GPL version 2 or later,
// see COPYING for details.
// Please respect the Guidelines, see GUIDELINES for details.

#ifndef MASSDECAYVEVV_H
#define  MASSDECAYVEVV_H


#include "inputs.h"

// theta functions
double mpi4Vt(const physmass mass, const double L);
double mpi6LVt(const physmass mass, const Li li,const double L);
double mpi6RVt(const physmass mass, const double L);
double mpi6Vt(const physmass mass, const Li li,const double L);
double mk4Vt(const physmass mass, const double L);
double mk6LVt(const physmass mass, const Li li,const double L);
double mk6RVt(const physmass mass, const double L);
double mk6Vt(const physmass mass, const Li li,const double L);
double meta4Vt(const physmass mass, const double L);
double meta6LVt(const physmass mass, const Li li,const double L);
double meta6RVt(const physmass mass, const double L);
double meta6Vt(const physmass mass, const Li li,const double L);
double fpi4Vt(const physmass mass, const double L);
double fpi6LVt(const physmass mass, const Li li,const double L);
double fpi6RVt(const physmass mass, const double L);
double fpi6Vt(const physmass mass, const Li li,const double L);
double fk4Vt(const physmass mass, const double L);
double fk6LVt(const physmass mass, const Li li,const double L);
double fk6RVt(const physmass mass, const double L);
double fk6Vt(const physmass mass, const Li li,const double L);
double feta4Vt(const physmass mass, const double L);
double feta6LVt(const physmass mass, const Li li,const double L);
double feta6RVt(const physmass mass, const double L);
double feta6Vt(const physmass mass, const Li li,const double L);

// Bessel functions
double mpi4Vb(const physmass mass, const double L);
double mpi6LVb(const physmass mass, const Li li,const double L);
double mpi6RVb(const physmass mass, const double L);
double mpi6Vb(const physmass mass, const Li li,const double L);
double mk4Vb(const physmass mass, const double L);
double mk6LVb(const physmass mass, const Li li,const double L);
double mk6RVb(const physmass mass, const double L);
double mk6Vb(const physmass mass, const Li li,const double L);
double meta4Vb(const physmass mass, const double L);
double meta6LVb(const physmass mass, const Li li,const double L);
double meta6RVb(const physmass mass, const double L);
double meta6Vb(const physmass mass, const Li li,const double L);
double fpi4Vb(const physmass mass, const double L);
double fpi6LVb(const physmass mass, const Li li,const double L);
double fpi6RVb(const physmass mass, const double L);
double fpi6Vb(const physmass mass, const Li li,const double L);
double fk4Vb(const physmass mass, const double L);
double fk6LVb(const physmass mass, const Li li,const double L);
double fk6RVb(const physmass mass, const double L);
double fk6Vb(const physmass mass, const Li li,const double L);
double feta4Vb(const physmass mass, const double L);
double feta6LVb(const physmass mass, const Li li,const double L);
double feta6RVb(const physmass mass, const double L);
double feta6Vb(const physmass mass, const Li li,const double L);


#endif //  MASSDECAYVEVV_H
